import 'dart:convert';

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

/**
 * 推送注册回调信息
 */
class RegisterInfo {
 final String deviceToken;//deviceToken是推送消息的唯一标志
 final String msg; //注册成功  注册失败
 final String error; //注册失败详细信息



  const RegisterInfo( this.deviceToken, this.msg,this.error);


  static RegisterInfo fromMap(Map map) {
    return RegisterInfo(map["deviceToken"], map["msg"],
       map["error"]);
  }

  Map toMap() {
    return {"deviceToken": this.deviceToken, "msg": this.msg,
      "error": this.error};
  }



}
