import 'dart:convert';

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

/**
 * umeng初始化参数
 */
class UPushOptions {
 final String UAppkey;
 final String USecret;
 final String XIAOMI_ID;
 final String XIAOMI_KEY;
 final String MEIZU_APPID;
 final String MEIZU_APPKEY;


  const UPushOptions(@required this.UAppkey, this.USecret,{this.MEIZU_APPID,this.MEIZU_APPKEY,this.XIAOMI_ID,this.XIAOMI_KEY});


  static UPushOptions fromMap(Map map) {
    return UPushOptions(map["UAppkey"], map["USecret"],
        XIAOMI_ID:map["XIAOMI_ID"], XIAOMI_KEY:map["XIAOMI_KEY"], MEIZU_APPID:map["MEIZU_APPID"], MEIZU_APPKEY:map["MEIZU_APPKEY"]);
  }

  Map toMap() {
    return {"UAppkey": this.UAppkey, "USecret": this.USecret,
      "MEIZU_APPID": this.MEIZU_APPID==null?"":MEIZU_APPID, "MEIZU_APPKEY": this.MEIZU_APPKEY==null?"":MEIZU_APPKEY,
      "XIAOMI_ID": this.XIAOMI_ID==null?"":XIAOMI_ID, "XIAOMI_KEY": this.XIAOMI_KEY==null?"":XIAOMI_KEY};
  }



}
